<?php
/**
 * Aliases for the LinkFilter extension.
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'LinkApprove' => [ 'LinkApprove' ],
	'LinkEdit' => [ 'LinkEdit' ],
	'LinksHome' => [ 'LinksHome' ],
	'LinkRedirect' => [ 'LinkRedirect' ],
	'LinkSubmit' => [ 'LinkSubmit' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'LinkApprove' => [ 'موافقة_الوصلة' ],
	'LinkEdit' => [ 'تعديل_الوصلة' ],
	'LinksHome' => [ 'بيت_الوصلات' ],
	'LinkRedirect' => [ 'تحويلة_الوصلة' ],
	'LinkSubmit' => [ 'إرسال_الوصلة' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'LinkApprove' => [ 'موافقه_الوصله' ],
	'LinkEdit' => [ 'تعديل_الوصله' ],
	'LinksHome' => [ 'بيت_الوصلات' ],
	'LinkRedirect' => [ 'تحويلة_الوصلة' ],
	'LinkSubmit' => [ 'تنفيذ_الوصله' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'LinkApprove' => [ 'لینک_ئی_تائید' ],
	'LinkEdit' => [ 'لینک_ئی_دستکاری' ],
	'LinksHome' => [ 'لینک_ئی_گیس' ],
	'LinkRedirect' => [ 'لینک_ئی_تغیرمسیر' ],
	'LinkSubmit' => [ 'لینک_ئی_دیم_داتین' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'LinkApprove' => [ 'Link_akzeptieren' ],
	'LinkEdit' => [ 'Link_bearbeiten' ],
	'LinksHome' => [ 'Zielseite_des_Links' ],
	'LinkRedirect' => [ 'Link_weiterleiten' ],
	'LinkSubmit' => [ 'Link_speichern' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'LinkApprove' => [ 'LinkQebulkerdış' ],
	'LinkEdit' => [ 'LinkVurnayış' ],
	'LinksHome' => [ 'KeyeyêGıreyan' ],
	'LinkRedirect' => [ 'SerberdışêGıreyan' ],
	'LinkSubmit' => [ 'RıştışêGıreyan' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'LinkApprove' => [ 'Aprobi_ligilojn' ],
	'LinkEdit' => [ 'Redakti_ligilon' ],
	'LinksHome' => [ 'Hejmo_de_ligiloj' ],
	'LinkRedirect' => [ 'Alidirektilo_al_ligilo' ],
	'LinkSubmit' => [ 'Sendi_ligilon' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'LinkApprove' => [ 'تأیید_پیوند' ],
	'LinkEdit' => [ 'ویرایش_پیوند' ],
	'LinksHome' => [ 'خانهٔ_پیوند' ],
	'LinkRedirect' => [ 'تغییرمسیر_پیوند' ],
	'LinkSubmit' => [ 'ارسال_پیوند' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'LinkApprove' => [ 'Hyväksy_linkkejä' ],
	'LinkEdit' => [ 'Muokkaa_linkkiä' ],
	'LinksHome' => [ 'Linkkien_kotisivu' ],
	'LinkRedirect' => [ 'Ohjaus_linkkiin' ],
	'LinkSubmit' => [ 'Lähetä_linkki' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'LinkApprove' => [ 'Wotkaz_akceptować' ],
	'LinkEdit' => [ 'Wotkaz_wobdźěłać' ],
	'LinksHome' => [ 'Wotkazowy_cil' ],
	'LinkRedirect' => [ 'Wotkaz_dale_sposrědkować' ],
	'LinkSubmit' => [ 'Wotkaz_składować' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'LinkApprove' => [ 'Approbar_ligamines' ],
	'LinkEdit' => [ 'Modificar_ligamine' ],
	'LinksHome' => [ 'Initio_de_ligamines' ],
	'LinkRedirect' => [ 'Rediriger_ligamine' ],
	'LinkSubmit' => [ 'Submitter_ligamine' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'LinkApprove' => [ 'ApprovaCollegamento' ],
	'LinkEdit' => [ 'ModificaCollegamento' ],
	'LinksHome' => [ 'PaginaPrincipaleCollegamenti' ],
	'LinkRedirect' => [ 'RinviaCollegamento' ],
	'LinkSubmit' => [ 'InviaCollegamento' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'LinkApprove' => [ 'リンク承認' ],
	'LinkEdit' => [ 'リンク編集' ],
	'LinksHome' => [ 'リンクホーム' ],
	'LinkRedirect' => [ 'リンク転送', 'リンクリダイレクト' ],
	'LinkSubmit' => [ 'リンク投稿' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'LinkApprove' => [ '링크승인' ],
	'LinkEdit' => [ '링크편집' ],
	'LinksHome' => [ '링크홈' ],
	'LinkRedirect' => [ '링크넘겨주기' ],
	'LinkSubmit' => [ '링크보내기' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'LinkApprove' => [ 'Link_akzeptéieren' ],
	'LinkEdit' => [ 'Link_änneren' ],
	'LinksHome' => [ 'Zilsäit_vum_Link' ],
	'LinkRedirect' => [ 'Link_viruleeden' ],
	'LinkSubmit' => [ 'Link_späicheren' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'LinkApprove' => [ 'ВрскаОдобри' ],
	'LinkEdit' => [ 'ВрскаУреди' ],
	'LinksHome' => [ 'ВрскаГлавна' ],
	'LinkRedirect' => [ 'ВрскаПренасочување' ],
	'LinkSubmit' => [ 'ВрскаПоднесување' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'LinkApprove' => [ 'കണ്ണിഅംഗീകരിക്കൽ' ],
	'LinkEdit' => [ 'കണ്ണിതിരുത്തൽ' ],
	'LinkRedirect' => [ 'കണ്ണിതിരിച്ചുവിടൽ' ],
	'LinkSubmit' => [ 'കണ്ണിസമർപ്പണം' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'LinkApprove' => [ 'Verwiezing_goedkeuren' ],
	'LinkEdit' => [ 'Verwiezing_bewarken' ],
	'LinksHome' => [ 'Verwiezing_startzied' ],
	'LinkRedirect' => [ 'Verwiezing_deurverwiezen' ],
	'LinkSubmit' => [ 'Verwiezing_derbie_doon' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'LinkApprove' => [ 'VerwijzingGoedkeuren' ],
	'LinkEdit' => [ 'VerwijzingBewerken' ],
	'LinksHome' => [ 'VerwijzingenStartpagina' ],
	'LinkRedirect' => [ 'VerwijzingDoorverwijzen' ],
	'LinkSubmit' => [ 'VerwijzingToevoegen' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'LinkApprove' => [ 'LinkApprova' ],
	'LinkEdit' => [ 'LinkModifica' ],
	'LinksHome' => [ 'LinkInizio' ],
	'LinkRedirect' => [ 'LinkRinvia' ],
	'LinkSubmit' => [ 'LinkInvia' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'LinkApprove' => [ 'BağOnayla', 'BağlantıOnayla' ],
	'LinkEdit' => [ 'BağDüzenle', 'BağlantıDüzenle' ],
	'LinksHome' => [ 'BağAnaSayfa', 'BağlantıAnaSayfa' ],
	'LinkRedirect' => [ 'BağYönlendir', 'BağlantıYönlendir' ],
	'LinkSubmit' => [ 'BağGönder', 'BağlantıGönder' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'LinkApprove' => [ 'Chấp_nhận_liên_kết' ],
	'LinkEdit' => [ 'Sửa_liên_kết' ],
	'LinkRedirect' => [ 'Đổi_hướng_liên_kết' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'LinkApprove' => [ '链接批准' ],
	'LinkEdit' => [ '链接编辑' ],
	'LinksHome' => [ '链接首页' ],
	'LinkRedirect' => [ '链接重定向' ],
	'LinkSubmit' => [ '链接提交' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'LinkApprove' => [ '批准連結' ],
	'LinkEdit' => [ '編輯連結' ],
	'LinksHome' => [ '首頁連結' ],
	'LinkRedirect' => [ '重新導向連結' ],
	'LinkSubmit' => [ '送出連結' ],
];
